<?php
################################################################################
# @Name : tables.php
# @Desc : Display Statistics by categories
# @call : /stat.php
# @parameters : 
# @Author : Flox
# @Create : 15/02/2014
# @Update : 02/12/2016
# @Version : 3.1.13
################################################################################

echo '
<div id="container" style="min-width: 300px; min-height: 300px; margin: 0 auto">
	<div class="col-xs-12 col-sm-3 ui-sortable">
		<div class="widget-box" style="opacity: 1; z-index: 0;">
			<div class="widget-header header-color-blue">
				<h5 class="bigger lighter">
					Délais moyen de résolution
				</h5>
			</div>
			<div class="widget-body">
				<div class="widget-main no-padding">
					<table class="table table-striped table-bordered table-hover">
						<thead class="thin-border-bottom">
							<tr>
								<th>
									<i class="icon-user"></i>
									Techniciens
								</th>

								<th>
									<i class="icon-calendar"></i>
									jours
								</th>
								
							</tr>
						</thead>
						<tbody>
						';
						$query="
						SELECT tusers.firstname, tusers.lastname, ROUND(AVG(TO_DAYS(date_res) - TO_DAYS(date_create))) as jour
						FROM tincidents
						INNER JOIN tusers ON (tincidents.technician=tusers.id )
						WHERE tincidents.technician NOT LIKE '0' AND
						tincidents.date_res NOT LIKE '0000-00-00' AND
						tincidents.date_create NOT LIKE '0000-00-00' AND
						tincidents.state='3' AND
						tincidents.type LIKE '$_POST[type]' AND
						tincidents.criticality like '$_POST[criticality]' AND
						tincidents.u_service LIKE '$_POST[service]' AND
						tincidents.category LIKE '$_POST[category]' AND
						tincidents.date_create LIKE '%-$_POST[month]-%' AND
						tincidents.date_create LIKE '$_POST[year]-%' AND
						tincidents.disable='0' AND 
						tusers.disable='0' 
						GROUP BY tincidents.technician 
						ORDER BY jour ASC";
						if ($rparameters['debug']==1) {echo $query;}
						$query = $db->query($query);
						while ($row=$query->fetch()) {
							if($row[2]!=''){echo "<tr><td>$row[0] $row[1]</td><td>$row[2]j</td></tr>";}
						} 
						$query->closecursor();
						echo '
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
	<div class="col-xs-12 col-sm-3 widget-container-span ui-sortable">
		<div class="widget-box" style="opacity: 1; z-index: 0;">
			<div class="widget-header header-color-blue">
				<h5 class="bigger lighter">
					Demandes par priorité
				</h5>
			</div>
			<div class="widget-body">
				<div class="widget-main no-padding">
					<table class="table table-striped table-bordered table-hover">
						<thead class="thin-border-bottom">
							<tr>
								<th>
									<i class="icon-user"></i>
									Priorité
								</th>

								<th>
									<i class="icon-bullseye"></i>
									Nombre
								</th>
								
							</tr>
						</thead>
						<tbody>
						';
						$query="
						SELECT tpriority.name, count(*) AS number
						FROM tincidents INNER JOIN tpriority ON (tincidents.priority=tpriority.id ) 
						WHERE tincidents.disable='0' AND
						tincidents.type LIKE '$_POST[type]' AND
						tincidents.criticality like '$_POST[criticality]' AND
						tincidents.u_service LIKE '$_POST[service]' AND
						tincidents.category LIKE '$_POST[category]' AND
						tincidents.date_create LIKE '%-$_POST[month]-%' AND
						tincidents.date_create LIKE '$_POST[year]-%' 
						GROUP BY tincidents.priority
						ORDER BY tpriority.number ASC";
						if ($rparameters['debug']==1) {echo $query;}
						$query = $db->query($query);
						while ($row=$query->fetch()) {echo "<tr><td>$row[0]</td><td>$row[1]</td></tr>";} 
						$query->closecursor();
						echo '
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
	<div class="col-xs-12 col-sm-3 widget-container-span ui-sortable">
		<div class="widget-box" style="opacity: 1; z-index: 0;">
			<div class="widget-header header-color-blue">
				<h5 class="bigger lighter">
					Demandes par criticité
				</h5>
			</div>
			<div class="widget-body">
				<div class="widget-main no-padding">
					<table class="table table-striped table-bordered table-hover">
						<thead class="thin-border-bottom">
							<tr>
								<th>
									<i class="icon-user"></i>
									Criticité
								</th>

								<th>
									<i class="icon-bullseye"></i>
									Nombre
								</th>
								
							</tr>
						</thead>
						<tbody>
						';
						$query="
						SELECT tcriticality.name, count(*) AS number
						FROM tincidents INNER JOIN tcriticality ON (tincidents.criticality=tcriticality.id ) 
						WHERE tincidents.disable='0' AND
						tincidents.type LIKE '$_POST[type]' AND
						tincidents.criticality like '$_POST[criticality]' AND
						tincidents.u_service LIKE '$_POST[service]' AND
						tincidents.category LIKE '$_POST[category]' AND
						tincidents.date_create LIKE '%-$_POST[month]-%' AND
						tincidents.date_create LIKE '$_POST[year]-%' 
						GROUP BY tincidents.criticality
						ORDER BY tcriticality.number ASC";
						if ($rparameters['debug']==1) {echo $query;}
						$query = $db->query($query);
						while ($row=$query->fetch()) {echo "<tr><td>$row[0]</td><td>$row[1]</td></tr>";} 
						$query->closecursor();
						echo '
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
';

//display second line of tables part
echo '
<div id="container" style="min-width: 300px; height: 500px; margin: 0 auto">
	<div class="col-xs-12 col-sm-3 widget-container-span ui-sortable">
		<div class="widget-box" style="opacity: 1; z-index: 0;">
			<div class="widget-header header-color-blue">
				<h5 class="bigger lighter">
					Top 10 des demandeurs
				</h5>
			</div>
			<div class="widget-body">
				<div class="widget-main no-padding">
					<table class="table table-striped table-bordered table-hover">
						<thead class="thin-border-bottom">
							<tr>
								<th>
									<i class="icon-user"></i>
									Utilisateurs
								</th>

								<th>
									<i class="icon-ticket"></i>
									Tickets
								</th>
								
							</tr>
						</thead>
						<tbody>
						';
						$query="
						SELECT tusers.firstname AS Util, tusers.lastname, count(*) AS demandes
						FROM tincidents INNER JOIN tusers ON (tincidents.user=tusers.id )
						WHERE tincidents.disable='0' AND
						tincidents.type LIKE '$_POST[type]' AND
						tincidents.criticality like '$_POST[criticality]' AND
						tincidents.u_service LIKE '$_POST[service]' AND
						tincidents.category LIKE '$_POST[category]' AND
						tincidents.date_create LIKE '%-$_POST[month]-%' AND
						tincidents.date_create LIKE '$_POST[year]-%' 
						GROUP BY tincidents.user
						ORDER BY demandes DESC LIMIT 10";
						if ($rparameters['debug']==1) {echo $query;}
						$query = $db->query($query);
						while ($row=$query->fetch()) {echo "<tr><td>$row[0] $row[1]</td><td>$row[2]</td></tr>";}
						$query->closecursor();
						echo '
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
	<div class="col-xs-12 col-sm-3 widget-container-span ui-sortable">
		<div class="widget-box" style="opacity: 1; z-index: 0;">
			<div class="widget-header header-color-blue">
				<h5 class="bigger lighter">
					TOP 10 demandeurs de temps
				</h5>
			</div>
			<div class="widget-body">
				<div class="widget-main no-padding">
					<table class="table table-striped table-bordered table-hover">
						<thead class="thin-border-bottom">
							<tr>
								<th>
									<i class="icon-user"></i>
									Utilisateurs
								</th>

								<th w>
									<i class="icon-time"></i>
									Heures
								</th>
								
							</tr>
						</thead>
						<tbody>
						';
						$query="
						SELECT tusers.firstname AS Util, tusers.lastname, sum(time) AS temps 
						FROM tincidents 
						INNER JOIN tusers ON (tincidents.user=tusers.id)  
						WHERE tincidents.time NOT LIKE '0' AND
						tincidents.time NOT LIKE '0' AND
						tincidents.disable='0'
						GROUP BY tincidents.user
						ORDER BY sum(time) DESC limit 10";
						if ($rparameters['debug']==1) {echo $query;}
						$query = $db->query($query);
						while ($row = $query->fetch())
						{
							$tps=$row[2]/60;
							$tps=round($tps);
							echo "<tr><td>$row[0] $row[1]</td><td>$tps h</td></tr>";
						} 
						$query->closecursor();
						echo '
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
';
?>